Skip to main content
PUT
Set

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

slot_id
string
required

The slotId field.

Body

application/json

The SetProviderCredentialRequest message.

apiKey
string

The apiKey field.

displayName
string

The displayName field.

headerStyle
enum<string>

The headerStyle field.

Available options:
PROVIDER_CREDENTIAL_HEADER_STYLE_UNSPECIFIED,
PROVIDER_CREDENTIAL_HEADER_STYLE_X_API_KEY,
PROVIDER_CREDENTIAL_HEADER_STYLE_AUTHORIZATION_BEARER

Response

200 - application/json

Successful response

The SetProviderCredentialResponse message.

credential
Provider Credential · object | null

The ProviderCredential message.